# H225_CircuitInfo Class Reference

`#include <h225.h>`

Inheritance diagram for H225_CircuitInfo:

List of all members.

## Public Types

enum | OptionalFields { e_sourceCircuitID, e_destinationCircuitID, e_genericData }

## Public Member Functions

| H225_CircuitInfo (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_CircuitIdentifier | m_sourceCircuitID
H225_CircuitIdentifier | m_destinationCircuitID
H225_ArrayOf_GenericData | m_genericData

## Member Enumeration Documentation

enum H225_CircuitInfo::OptionalFields

Enumerator:

  e_sourceCircuitID |
  e_destinationCircuitID |
  e_genericData |

## Constructor & Destructor Documentation

H225_CircuitInfo::H225_CircuitInfo | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_CircuitInfo::GetDataLength | ( |  | ) | const

PBoolean H225_CircuitInfo::Decode | ( | PASN_Stream & | strm | ) |

void H225_CircuitInfo::Encode | ( | PASN_Stream & | strm | ) | const

void H225_CircuitInfo::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_CircuitInfo::Compare | ( | const PObject & | obj | ) | const

PObject* H225_CircuitInfo::Clone | ( |  | ) | const

## Member Data Documentation

H225_CircuitIdentifier H225_CircuitInfo::m_sourceCircuitID

H225_CircuitIdentifier H225_CircuitInfo::m_destinationCircuitID

H225_ArrayOf_GenericData H225_CircuitInfo::m_genericData

The documentation for this class was generated from the following file:

- h225.h